<?php 
/**
 * @package 	WordPress
 * @subpackage 	Rhymes
 * 
 * Front Page Template
 * Created by ThemesCastle
 * 
 */

$rhymes_options = get_theme_mod('rhymes_options');
if ( 'posts' == get_option( 'show_on_front' ) ) {
get_header(); ?>

	<div class="container-fluid space">
	<div class="container">
	<div class="col-md-9 col-sm-8">
	<?php if(!isset($rhymes_options['show_slider'])){
		$show_slider = 'on';
	}else{
		$show_slider = $rhymes_options['show_slider'];
	}
	if(!isset($rhymes_options['category_slider'])){
		$category_slider='';
	}else{
		$category_slider=$rhymes_options['category_slider'];
	}
	if($show_slider=='on'){ ?>
	<!-- Slider Start  -->
		<div class="rhyme-slider">
		<?php $rhymes_args =	array(
		'post_type'        => 'post',
		'category_name'    => $category_slider,
		'post_per_page'        => 5,
		'post_status'      => 'publish',
		'suppress_filters' => true
		); 
		$rhymes_slider= new WP_Query($rhymes_args); 
		if($rhymes_slider->have_posts()):?>
			<div class="swiper-container swiper1">
			<div class="swiper-wrapper">
			<?php 
		while($rhymes_slider->have_posts()):
		$rhymes_slider->the_post(); 
		if ( has_post_thumbnail() ) { ?>
				<div class="swiper-slide">
					<?php the_post_thumbnail( 'rhymes_slide_thumb', array( 'class' => 'img-responsive' ) ); ?>
					<div class="overlay"></div>
					<div class="container">
						<div class="carousel-caption ">
							<h1 class="animation animated-item-1"><?php the_title(); ?></h1>
							<h2 class="animation animated-item-2"><?php echo esc_attr(wp_trim_words(get_the_excerpt(), 15)); ?></h2>
							<a href="<?php the_permalink(); ?>" class="btn animation animated-item-2" > <?php esc_html_e('Read More','rhymes'); ?> </a>
						</div>
					</div>
				</div>
		<?php } endwhile; ?>
			</div>
			<!-- Add Pagination -->
			<div class="swiper-pagination swiper-pagination1"></div>
			<div class="swiper-button-prev swiper-button-prev1"></div>
			<div class="swiper-button-next swiper-button-next1"></div>
			<!-- Add Arrows -->
		</div>
		<?php endif; wp_reset_postdata(); ?>
		</div>
	<!-- Slider End -->
	<?php } ?>
	<div class="col-md-12 col-sm-12 space w_home_chapter">
		<div class="col-md-12 col-sm-12  wc_heading">
		<?php if(isset($rhymes_options['blog_heading']) && $rhymes_options['blog_heading']!=''){ ?>
			<h1 class="heading"><a href="<?php echo esc_url($rhymes_options['blog_link']); ?>"><?php echo esc_attr($rhymes_options['blog_heading']); ?></a></h1>
		<?php }
		$rhymes_args1 =	array(
		'post_type'        => 'post',
		'post_status'      => 'publish',
		'suppress_filters' => true
		); 
		$rhymes_recent= new WP_Query($rhymes_args1); 
		if($rhymes_recent->have_posts()):?>
			<div class="row w_home_chapter_details" id="rhymes_grid">
			<?php while($rhymes_recent->have_posts()): $rhymes_recent->the_post(); ?>
				<div class="col-md-4 col-sm-6 w_home_chapter_desc">
				<div class="w_post_desc">
					<div id="post-<?php the_ID(); ?>" class="post_data">
					<?php if(has_post_thumbnail()): ?>
				<div class="post-thumbs">
				<a href="<?php the_permalink(); ?>">
					<div class="img-thumbnail">
						<?php $data= array('class' =>'img-responsive post_image'); 
						the_post_thumbnail('rhyme_post_thumb', $data); ?>
					</div>
				</a>
				</div>
				<?php endif; ?>	
						<div class="post-content">
						<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<p><?php echo esc_html(wp_trim_words(get_the_excerpt(), 25)); ?></p>
						</div>
					</div>
				</div>
				</div>
				<?php endwhile; ?>
			</div>
			<?php endif; wp_reset_postdata(); ?>
		</div>
	</div>
</div>
	<?php get_sidebar(); ?>
	</div>
	</div>	
<?php get_footer(); } else {
    include( get_page_template() );
}
?>